
///////////////////////////////////////////////////////////////////////////////////////////////////
// Прикладной интерфейс

Процедура ЗарегистрироватьКоманду(Знач ИмяКоманды, Знач Парсер) Экспорт
	ОписаниеКоманды = Парсер.ОписаниеКоманды(ИмяКоманды, "Снятие исходной конфигурации с поддержки");
	Парсер.ДобавитьИменованныйПараметрКоманды(ОписаниеКоманды, "-v8version", "Версия платформы 1С (опционально)");
	Парсер.ДобавитьКоманду(ОписаниеКоманды);
КонецПроцедуры

// Выполняет логику команды
// 
// Параметры:
//   ПараметрыКоманды - Соответствие ключей командной строки и их значений
//
Функция ВыполнитьКоманду(Знач ПараметрыКоманды) Экспорт
	
	Лог = Логирование.ПолучитьЛог(ПараметрыСистемы.ИмяЛогаСистемы());
	Конфигуратор = ОкружениеСборки.ПолучитьКонфигуратор();
	Если ЗначениеЗаполнено(ПараметрыКоманды["-v8version"]) Тогда
		ОкружениеСборки.ПрименитьВерсию1С(Конфигуратор, ПараметрыКоманды["-v8version"]);
	КонецЕсли;	

	ПараметрыЗапуска = Конфигуратор.ПолучитьПараметрыЗапуска();
	ПараметрыЗапуска.Добавить("/ManageCfgSupport -disableSupport");

	Конфигуратор.ВыполнитьКоманду(ПараметрыЗапуска);
	Лог.Отладка(Конфигуратор.ВыводКоманды());

	Конфигуратор.ОбновитьКонфигурациюБазыДанных();

	Возврат 0;
	
КонецФункции
